package com.zg.project.information.mapper;

import java.util.List;
import com.zg.project.information.domain.MaterialType;

/**
 * 物资类型Mapper接口
 * 
 * @author zg
 * @date 2025-05-27
 */
public interface MaterialTypeMapper 
{
    /**
     * 查询物资类型
     * 
     * @param id 物资类型主键
     * @return 物资类型
     */
    public MaterialType selectMaterialTypeById(Long id);

    /**
     * 查询物资类型列表
     * 
     * @param materialType 物资类型
     * @return 物资类型集合
     */
    public List<MaterialType> selectMaterialTypeList(MaterialType materialType);

    /**
     * 新增物资类型
     * 
     * @param materialType 物资类型
     * @return 结果
     */
    public int insertMaterialType(MaterialType materialType);

    /**
     * 修改物资类型
     * 
     * @param materialType 物资类型
     * @return 结果
     */
    public int updateMaterialType(MaterialType materialType);

    /**
     * 删除物资类型
     * 
     * @param id 物资类型主键
     * @return 结果
     */
    public int deleteMaterialTypeById(Long id);

    /**
     * 批量删除物资类型
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMaterialTypeByIds(Long[] ids);
}
